import description from './README.md'

export default {
  description,
  simpleExample: '简单的使用',
  simpleExampleDesc: 'datePicker 默认是以竖屏弹出框的是形式选择，有横屏和竖屏两种显示模式，通过 `mode=landscape` or `mode=portrait` 切换',
  inlineExample: '内联弹出模式',
  inlineExampleDesc: '设置 `container=inline` 可以使时间选择内联方式弹出',
  controlExample: '选择控制',
  controlExampleDesc: '和其它表单组件一样，datePicker 也可以通过 `v-model` 控制value属性，`maxDate` 和 `minDate` 控制选择日期范围，设置 `autoOk` 和 `disableYearSelection` 来切换自动确定和关闭年份选择功能',
  disabledExample: '通过函数指定不可选择的时间',
  disabledExampleDesc: '`shouldDisableDate` 参数可以通过函数指定哪些时间不可选择。',
  localeExample: '语言环境配置',
  localeExampleDesc: '通过自定义 `dateTimeFormat` 来格式化不同语言的显示',
  props: {
    dateTimeFormat: '时间格式化对像，需要有以下属性:\r\n1. **formatDisplay** 用于格式化日期选择框头部显示;\r\n2. **formatMonth** 用于格式化日期选择框月份显示。',
    autoOk: '是否在选择日期后自动确定, 设为true则不显示确定按钮',
    okLabel: '确定按钮的文字',
    cancelLabel: '取消按钮的文字',
    container: 'dialog/inline, 弹出日期的方式， dialog 弹出框， inline 内联弹出显示',
    disableYearSelection: '设置为 `ture`, 则不可选择年份',
    firstDayOfWeek: '那一天作为一个星期的开始， 默认星期一， 有些情况可能会设置成星期日(0)',
    mode: '`portrait` 竖屏显示， `landscape` 横屏显示',
    shouldDisableDate: '判断日期是否不可用的函数',
    format: '时间格式化方式',
    maxDate: '可选择的最大日期, 需要符合 `format` 参数的格式',
    minDate: '可选择的最小日期, 需要符合 `format` 参数的格式',
    name: 'input 的 name 属性',
    label: '日期选择框的标签',
    labelFloat: '标签是否浮动',
    labelClass: '标签的样式, 同 `class` 绑定方式一致',
    labelFocusClass: '输入框获取焦点时标签的样式, 同 `class` 绑定方式一致',
    disabled: '日期选择框是否不可用',
    hintText: '提示文字',
    hintTextClass: '提示文字样式, 同 `class` 绑定方式一致',
    helpText: '帮助文字',
    helpTextClass: '帮助文字样式, 同 `class` 绑定方式一致',
    errorText: '错误提醒文字，如果此参数有值，那么日期选择框会转为错误的状态, 显示效果将会更改',
    errorColor: '错误状态的时的颜色，默认为红色',
    icon: '显示图标',
    iconClass: '图标的样式, 同 `class` 绑定方式一致',
    fullWidth: '是否将宽度设置为 100%, 默认 256px',
    underlineShow: '是否显示底部的横线',
    underlineClass: '底部横线样式, 同 `class` 绑定方式一致',
    underlineFocusClass: '输入框获取焦点时底部横线样式, 同 `class` 绑定方式一致',
    inputClass: '输入框样式, 同 `class` 绑定方式一致',
    value: '日期选择框的值，可不设置此参数，使用 v-model 指令代替'
  },
  events: {
    input: 'value 发生改变触发的事件，传入新的value, (value)',
    change: '由于用户行为(点击确定按钮)导致 value 值改变时触发事件, 传入 value 属性值'
  }
}
